
minetest.register_node("amogus_blocks:ladder_steel", {
	description = "Ladder",
	drawtype = "signlike",
	tiles = {"ladder.png"},
	paramtype = "light",
	paramtype2 = "wallmounted",
	sunlight_propagates = true,
	walkable = false,
	climbable = true,
	is_ground_content = false,
	selection_box = {
		type = "wallmounted",
	},
	groups = {cracky = 2},
})

minetest.register_node("amogus_blocks:floor", {
	description = "Floor",
	tiles = {"floor.png"},
	
	drop = 'amogus_blocks:floor',
	legacy_mineral = true, groups = {cracky=3, stone=1},
})

minetest.register_node("amogus_blocks:tv", {
	description = "CRT TV",
	tiles = {
		"crt2.png", 
		"crt2.png",
		"crt2.png",
		"crt2.png",
		"crt2.png",
		"crt.png"
	},
	paramtype2 = "facedir",
	drop = 'amogus_blocks:amogus_blocks', groups = {cracky=3, stone=1},
})

minetest.register_node("amogus_blocks:bricks", {
	description = "Bricks",
	tiles = {"Bricks.png"},
	
	drop = 'amogus_blocks:grey_bricks', groups = {cracky=3, stone=1},
})
minetest.register_node("amogus_blocks:grey_bricks", {
	description = "Bricks 2",
	tiles = {"Bricks2.png"}, groups = {cracky=3, stone=1},
	
	drop = 'amogus_blocks:grey_bricks', groups = {cracky=3, stone=1},
})
minetest.register_node("amogus_blocks:planks", {
	description = "Planks",
	tiles = {"Planks.png"},
	
	drop = 'amogus_blocks:planks', groups = {cracky=3, stone=1},
})
minetest.register_node("amogus_blocks:purpleblock", {
	description = "Purple Block",
	tiles = {"purpleblock.png"},
	
	drop = 'amogus_blocks:purpleblock', groups = {cracky=3, stone=1},
})
minetest.register_node("amogus_blocks:purpleblock", {
	description = "Purple Block",
	tiles = {"purpleblock.png"},
	
	drop = 'amogus_blocks:purpleblock', groups = {cracky=3, stone=1},
})
minetest.register_node("amogus_blocks:redblock", {
	description = "Red Block",
	tiles = {"redblock.png"},
	
	drop = 'amogus_blocks:redblock', groups = {cracky=3, stone=1},
})
minetest.register_node("amogus_blocks:glowing_block", {
	description = "Glowing Block",
	tiles = {"glowing_block.png"},
	
	drop = 'amogus_blocks:glowing_block', groups = {cracky=3, stone=1},
	light_source = 14
})

minetest.register_node("amogus_blocks:transparent", {
    description = "Transparent",
    drawtype = "glasslike",
    tiles = {"glass.png"},
    paramtype = "light",
    is_ground_content = false,
    sunlight_propagates = true,
    groups = {cracky=3,oddly_breakable_by_hand=3},
})

minetest.register_node("amogus_blocks:grass", {
    description = "Grass",
    tiles = {
		"g2.png", 
		"d.png",
		"g.png",
		"g.png",
		"g.png",
		"g.png"
	},
    
    drop = 'amogus:grass', groups = {cracky=3, stone=1},
})

minetest.register_node("amogus_blocks:wood", {
    description = "Wood",
    tiles = {"wood.png"},
    
    drop = 'amogus:wood', groups = {cracky=3, stone=1},
})

minetest.register_node("amogus_blocks:water", {
	description = "Water",
	drawtype = "liquid",
	tiles = {
		{
			name = "water.png",
			animation = {
				type = "vertical_frames",
				aspect_w = 16,
				aspect_h = 16,
				length = 2.0,
			},
		},
		{
			name = "water.png",
			animation = {
				type = "vertical_frames",
				aspect_w = 16,
				aspect_h = 16,
				length = 2.0,
			},
		},
	},
	special_tiles = {
		-- New-style water source material (mostly unused)
		{
			name = "water.png",
			backface_culling = false,
			animation = {
				type = "vertical_frames",
				aspect_w = 16,
				aspect_h = 16,
				length = 2.0,
			},
		},
		-- New-style flowing water material (mostly unused)
		{
			name = "water.png",
			backface_culling = true,
			animation = {
				type = "vertical_frames",
				aspect_w = 16,
				aspect_h = 16,
				length = 0.8,
			},
		},
	},
	alpha = 160,
	paramtype = "light",
	walkable = false,
	pointable = false,
	diggable = false,
	buildable_to = true,
	drowning = 1,
	liquidtype = "source",
	--liquid_alternative_flowing = "amogus_blocks:water_flowing",
	--liquid_alternative_source = "amogus_blocks:water_source",
	liquid_viscosity = 1,
	post_effect_color = {a = 103, r = 30, g = 60, b = 90},
	groups = {water = 3, liquid = 3, puts_out_fire = 1},
})

minetest.register_node("amogus_blocks:dirt", {
	description = "Dirt",
	tiles = {"d.png"},
	groups = {crumbly = 3, soil = 1},
	--sounds = default.node_sound_dirt_defaults({
	--	footstep = {name = "default_grass_footstep", gain = 0.4},
	--}),
})

minetest.register_node("amogus_blocks:stone", {
	description = "Stone",
	tiles = {"stone.png"},
	groups = {cracky = 3, stone = 1},
	--sounds = default.node_sound_stone_defaults(),
})

--add gold ore and sussium ore 

minetest.register_node("amogus_blocks:gold_ore", {
	description = "Gold Ore",
	tiles = {"gold.png"},
	groups = {cracky = 3, stone = 1},
	drop = 'amogus_items:gold_ingot',
	--sounds = default.node_sound_stone_defaults(),
})

minetest.register_node("amogus_blocks:sussium_ore", {
	description = "Sussium Ore",
	tiles = {"sussium.png"},
	groups = {cracky = 3, stone = 1},
	--sounds = default.node_sound_stone_defaults(),
})


local loot = {
    "amogus_items:amogus",
    "amogus_items:sprite",
    "amogus_items:coke",
    "amogus_items:fanta",
    "amogus_items:tomato",
    "amogus_items:lightsaber_blue",
    "amogus_items:lightsaber_red",
    "amogus_items:lightsaber_green",
}

minetest.register_node("amogus_blocks:lucky_block", {
    description = "Lucky Block",
    tiles = {"luckyblock.png"},
    groups = {cracky = 3},
    on_punch = function(pos, node, puncher, pointed_thing)
        local item = loot[math.random(#loot)]
        minetest.add_item(pos, item)
        minetest.remove_node(pos)

    end
})
