minetest.register_craftitem("amogus_items:amogus", {
	description = "Amogus",
	inventory_image = "amogus_item.png",

	--on_use = function(itemstack, user)
	--	minetest.sound_play("amogus_sound", {
	--		pos = user:get_pos(),
	--		gain = 1.0,
	--		max_hear_distance = 5
	--	})
	--end,

    --on_place = function(itemstack, placer, pointed_thing)
    --    local pos = pointed_thing.above
    --    local dir = placer:get_look_dir()
    --    local yaw = math.atan(dir.x/dir.z)
    --    if dir.z > 0 then
    --        yaw = yaw + math.pi
    --    end
    --    minetest.add_entity(pos, "amogus_entities:amogus", yaw)
    --end

    on_place = function(itemstack, placer, pointed_thing)
        if pointed_thing.type == "node" then
            local pos = pointed_thing.above
            minetest.add_entity(pos, "amogus_entities:amogus")
            minetest.sound_play("amogus_sound", {
                pos = pos,
                gain = 1.0,
                max_hear_distance = 5
            })
        end
        return itemstack
    end
})

minetest.register_craftitem("amogus_items:sprite", {
    description = "Sprite",
    inventory_image = "sprite.png",
    on_use = minetest.item_eat(1),
})
minetest.register_craftitem("amogus_items:coke", {
    description = "Coke",
    inventory_image = "coke.png",
    on_use = minetest.item_eat(1),
})
minetest.register_craftitem("amogus_items:fanta", {
    description = "Fanta",
    inventory_image = "fanta.png",
    on_use = minetest.item_eat(1),
})
minetest.register_craftitem("amogus_items:tomato", {
    description = "Tomato",
    inventory_image = "tomato.png",
    on_use = minetest.item_eat(1),
})
minetest.register_craftitem("amogus_items:water", {
    inventory_image = "water.png",
    on_use = minetest.item_eat(1),
})

minetest.register_tool("amogus_items:lightsaber_blue", {
    description = "Blue Lightsaber",
    inventory_image = "lightsaber_blue.png",
    tool_capabilities = {
        full_punch_interval = 0.1,
        max_drop_level=3,
        groupcaps={
            snappy={times={[1]=0.1, [2]=0.1, [3]=0.1}, uses=0, maxlevel=3},
        },
        damage_groups = {fleshy=10},
    },
    sound = {breaks = "amogus_sound"},
})

minetest.register_tool("amogus_items:lightsaber_red", {
    description = "Red Lightsaber",
    inventory_image = "lightsaber_red.png",
    tool_capabilities = {
        full_punch_interval = 0.1,
        max_drop_level=3,
        groupcaps={
            snappy={times={[1]=0.1, [2]=0.1, [3]=0.1}, uses=0, maxlevel=3},
        },
        damage_groups = {fleshy=10},
    },
    sound = {breaks = "amogus_sound"},
})

minetest.register_tool("amogus_items:lightsaber_green", {
    description = "Green Lightsaber",
    inventory_image = "lightsaber_green.png",
    tool_capabilities = {
        full_punch_interval = 0.1,
        max_drop_level=3,
        groupcaps={
            snappy={times={[1]=0.1, [2]=0.1, [3]=0.1}, uses=0, maxlevel=3},
        },
        damage_groups = {fleshy=10},
    },
    sound = {breaks = "amogus_sound"},
})

-- add theese items : goldenpickaxe, wooden plank, gold_ingot, sussium_ingot
minetest.register_craftitem("amogus_items:wooden_plank", {
    description = "Wooden Plank",
    inventory_image = "wooden_plank.png",
})
minetest.register_craftitem("amogus_items:gold_ingot", {
    description = "Gold Ingot",
    inventory_image = "gold_ingot.png",
})
minetest.register_craftitem("amogus_items:sussium_ingot", {
    description = "Sussium Ingot",
    inventory_image = "sussium_ingot.png",
})


minetest.register_tool("amogus_items:goldenpickaxe", {
    description = "Golden Pickaxe",
    inventory_image = "goldenpickaxe.png",
    tool_capabilities = {
        full_punch_interval = 0.1,
        max_drop_level=3,
        groupcaps={
            cracky={times={[1]=0.1, [2]=0.1, [3]=0.1}, uses=0, maxlevel=3},
        },
        damage_groups = {fleshy=10},
    },
    sound = {breaks = "amogus_sound"},
})
